libogg documentation | libogg release 1.3.4 - 20190830

# ogg_sync_init

declared in "ogg/ogg.h";

This function is used to initialize an ogg_sync_state struct to a known initial value in preparation for manipulation of an Ogg bitstream.

The ogg_sync struct is important when decoding, as it synchronizes retrieval and return of data.

    int ogg_sync_init(ogg_sync_state *oy);

### Parameters

oy
  Pointer to a previously declared ogg_sync_state struct. After this function call, this struct has been initialized.

### Return Values

> - 0 is always returned.

copyright © 2000-2019 Xiph.Org Foundation | Ogg Container Format
libogg documentation | libogg release 1.3.4 - 20190830